%global fontname lohit-kannada
%global fontconf 66-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.4.5
Release:        %mkrel 7
Summary:        Free Kannada font
Group:          System/Fonts/True type 
License:        GPLv2 with exceptions
URL:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/%{fontname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
BuildRequires: fontforge
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Patch1: bug-578032.patch
Patch2: bug-576105.patch
Patch3: bug-576105-1.patch
Patch4: bug-673414.patch
Obsoletes: lohit-fonts-common < %{version}-%{release}

%description
This package provides a free Kannada truetype/opentype font.


%prep
%setup -q -n %{fontname}-%{version} 
%patch1 -p1 -b .1-fix-font-conf
%patch2 -p1 -b .2-increase-kerning
%patch3 -p1 -b .3-handline-zwj
%patch4 -p1 -b .4-rupee-sign

%build
make

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc ChangeLog COPYRIGHT COPYING AUTHORS README ChangeLog.old




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.4.5-7.mga3
+ Revision: 358944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 dmorgan <dmorgan> 2.4.5-6.mga1
+ Revision: 70928
- imported package lohit-kannada-fonts

